import request from '@/utils/request'

// 查询材料封样列表
export function listMaterialSeal(query) {
  return request({
    url: '/project/materialSeal/list',
    method: 'get',
    params: query
  })
}

// 统计材料封样
export function findGroupCountByApprove(query) {
  return request({
    url: '/project/materialSeal/findGroupCountByApprove',
    method: 'get',
    params: query
  })
}

// 查询材料封样详细
export function getMaterialSeal(id) {
  return request({
    url: '/project/materialSeal/' + id,
    method: 'get'
  })
}

// 新增材料封样
export function addMaterialSeal(data) {
  return request({
    url: '/project/materialSeal',
    method: 'post',
    data: data
  })
}

// 修改材料封样
export function updateMaterialSeal(data) {
  return request({
    url: '/project/materialSeal',
    method: 'put',
    data: data
  })
}

// 删除材料封样
export function delMaterialSeal(id) {
  return request({
    url: '/project/materialSeal/' + id,
    method: 'delete'
  })
}
